# Notification Display Priority

The notification display priority indicate how much of the user's valuable attention should be consumed by this notification. How and where the notification is displayed depends on the notification display priority.

The available priority levels and their associated behaviour differ between Android and iOS. The following tables show how the display priority is mapped to platform specific values.

## Android

The display priority is mapped to either notification priority or channel importance depending on the Android version:

* On Android 7.1 (API level 25) and lower, the priority is mapped to the [notification priority](https://developer.android.com/reference/androidx/core/app/NotificationCompat.Builder#setPriority\(int\)).
* On Android 8.0 (API level 26) and higher, the priority is mapped to the [notification channel importance](https://developer.android.com/reference/android/app/NotificationChannel#setImportance\(int\)).

<table><thead><tr><th width="192">priority</th><th width="195">notification priority</th><th>notification channel importance</th></tr></thead><tbody><tr><td>High</td><td>1</td><td><code>IMPORTANCE_HIGH</code></td></tr><tr><td>Default</td><td>0</td><td><code>IMPORTANCE_DEFAULT</code></td></tr><tr><td>Low</td><td>-1</td><td><code>IMPORTANCE_LOW</code></td></tr></tbody></table>

## iOS

On iOS, the display priority is mapped to the [interruption level](https://developer.apple.com/documentation/usernotifications/unnotificationinterruptionlevel).

| priority | interruption level |
| -------- | ------------------ |
| High     | `timeSensitive`    |
| Default  | `active`           |
| Low      | `passive`          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/client-sdks/push-notifications/notification-display-priority.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
